
Redmine - Feature #3300

Default project for user

2009-05-06 13:49 - Lukas Elmer

Status: New Start date: 2009-05-06

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

A user should be able to set a default project, so every time he gets to "myredmine.com/", the user gets redirected to the the default

project, which he can set through the user settings. If no default project is defined, the normal redmine startpage should appear.

Related issues:

Related to Redmine - Feature #3465: Default project New 2009-06-09

History

#1 - 2009-05-06 14:14 - Emil Stepniewski

And just bookmarking http://myredmine/projects/myproject is not enough?

#2 - 2009-05-06 14:36 - Lukas Elmer

Emil Stepniewski wrote:

And just bookmarking http://myredmine/projects/myproject is not enough?

 I actually use bookmarks like http://myredmine/projects/myproject. But it happens over and over that I (and also other developers / project managers)

forget the bookmark and land on the startpage (eg. through the autocompletion of Firefox...). In my opinion, it would just be the cleaner way not to use

bookmarks for that. It would make this very good product a little better ;)

If you haven't enough time for this feature, but you think of it as a good idea, i could do this, if you like.

#3 - 2011-05-24 10:17 - brain90 astalavista

This why this features should approved.

Every users Doesn't open redmine at the same browser,

maybe he using Firefox at home, chrome at the office, and Safari at the public place.

Unfortunately, the project bookmarks can't easily distribute between those browsers.

Its better if users face his default project when they login,

without any difficulty of memorizing the default project URL.

Thank you..

#4 - 2011-07-06 19:53 - Royce Williams

+1 ... and a +1 for adding voting to redmine.org. :-)

#5 - 2011-07-07 11:29 - Etienne Massip

- Category set to UI

- Target version set to Candidate for next major release

#6 - 2012-12-25 08:20 - Dima Volotskoy

+1

#7 - 2014-02-17 11:58 - Lucky Boy

+1

#8 - 2018-09-17 14:58 - Go MAEDA
- Related to Feature #3465: Default project added

#9 - 2023-06-20 11:27 - Andy Milga

+1

this feature was with plugin a_common_libs and was working with redmine3, but plugin not ready for redmine5 and functionality gone.
